aagc.vo

## Class DettaglioPAIResponse

- java.lang.Object
- - aagc.vo.DettaglioPAIResponse

-     public class DettaglioPAIResponse
      extends java.lang.Object

  Classe Java per dettaglioPAIResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="dettaglioPAIResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codiceDettaglioPAI" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceTipoDettaglioPAI" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="1"/>
                     <pattern value="[a-zA-Z]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="descrzione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="250"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceDettaglioPAI`
    `protected java.lang.String` | `codiceTipoDettaglioPAI`
    `protected java.lang.String` | `descrzione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DettaglioPAIResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceDettaglioPAI()` Recupera il valore della proprietà codiceDettaglioPAI.
    `java.lang.String` | `getCodiceTipoDettaglioPAI()` Recupera il valore della proprietà codiceTipoDettaglioPAI.
    `java.lang.String` | `getDescrzione()` Recupera il valore della proprietà descrzione.
    `void` | `setCodiceDettaglioPAI(java.lang.String value)` Imposta il valore della proprietà codiceDettaglioPAI.
    `void` | `setCodiceTipoDettaglioPAI(java.lang.String value)` Imposta il valore della proprietà codiceTipoDettaglioPAI.
    `void` | `setDescrzione(java.lang.String value)` Imposta il valore della proprietà descrzione.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceDettaglioPAI

          protected java.lang.String codiceDettaglioPAI

    - #### codiceTipoDettaglioPAI

          protected java.lang.String codiceTipoDettaglioPAI

    - #### descrzione

          protected java.lang.String descrzione

  - ### Constructor Detail

    - #### DettaglioPAIResponse

          public DettaglioPAIResponse()

  - ### Method Detail

    - #### getCodiceDettaglioPAI

          public java.lang.String getCodiceDettaglioPAI()

      Recupera il valore della proprietà codiceDettaglioPAI.
      Returns:
        possible object is `String`

    - #### setCodiceDettaglioPAI

          public void setCodiceDettaglioPAI(java.lang.String value)

      Imposta il valore della proprietà codiceDettaglioPAI.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceTipoDettaglioPAI

          public java.lang.String getCodiceTipoDettaglioPAI()

      Recupera il valore della proprietà codiceTipoDettaglioPAI.
      Returns:
        possible object is `String`

    - #### setCodiceTipoDettaglioPAI

          public void setCodiceTipoDettaglioPAI(java.lang.String value)

      Imposta il valore della proprietà codiceTipoDettaglioPAI.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescrzione

          public java.lang.String getDescrzione()

      Recupera il valore della proprietà descrzione.
      Returns:
        possible object is `String`

    - #### setDescrzione

          public void setDescrzione(java.lang.String value)

      Imposta il valore della proprietà descrzione.
      Parameters:
        `value` - allowed object is `String`